

/* 
 *  Licensed Materials - Property of IBM
 *  Restricted Material of IBM
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */


/* probecst.h for intermediate fifo. save as probecstfifo.h */

#define SIZE_BLOCK_LIFO 1024

#ifdef __cplusplus
#define EXTERN extern "C"
#else
#define EXTERN extern
#endif
typedef struct 
{
  char *data;
  int head;
  int queue;
  int size;
} s_fifo;

typedef s_fifo *ATL_CTX_PRB;
#include "atldeclar.h"

EXTERN ATL_CTX_PRB atl_create_probe(char *path,char *instance,int p1);

EXTERN void atl_close_probe(ATL_CTX_PRB ctx);

EXTERN void atl_write_probe(ATL_CTX_PRB ctx,unsigned int code, unsigned int key, void *msg, unsigned int lenmsg);
EXTERN int atl_read_probe(ATL_CTX_PRB ctx, ATL_T_DATE *time, unsigned int *code, unsigned int *key, void **msg);
EXTERN ATL_CTX_PRB atl_open_probe(ATL_CTX_PRB prb_ctx, char *path,char *riofile, char *instance,int p1);
EXTERN void atl_end_probe(ATL_CTX_PRB ctx);

EXTERN void atl_write_key(ATL_CTX_PRB ctx,unsigned int code,unsigned int value);





